Redmine - Defect #3276

Incorrect handling of anchors in Wiki to HTML export
2009-04-30 14:43 - Mihail Manuylov

Status: Closed Start date: 2009-04-30
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 1.2.2

Resolution: Fixed Affected version: 0.8.3
Description

Here is my conf: Postgresql 8.3.7-1; Ruby 1.8.7; Rails 2.3.2; Redmine 0.8.3

The problem is when you export Wiki page to HTML all local anchor link are converted to html links. For example (space between [
and ] puts for notextile):

Wiki

[ [Wiki_page_name#some_anchor|link_text] ]

HTML

<p><a href="Wiki_page_name.html" class="wiki-page">link_text</a></p>
This conversion makes link unreachable.

After changing :wiki_links => :local on :wiki_links => :anchor in /app/views/wiki/export.rhtml anchors link starts convert to

<p><a href="#Wiki_page_name" class="wiki-page">1link_text</a></p>

After changing

format_wiki_link = Proc.new {|project, title, anchor| "##{title}" }

to

format_wiki_link = Proc.new {|project, title, anchor| "##{anchor}" }

in /app/helpers/application_helper.rb converstion works fine.

Related issues:
Has duplicate Redmine - Defect #9064: Broken internal links in export wiki to... Closed 2011-08-16

Associated revisions

Revision 7558 - 2011-10-02 16:44 - Etienne Massip

Use local links in wiki pages when possible (#3276).

Revision 7559 - 2011-10-02 16:52 - Etienne Massip
Merged r7558 from trunk (#3276).

History

#1 - 2009-05-10 12:13 - Jean-Philippe Lang

I'm not sure to understand your problem.
If you're exporting a single wiki page, links to other pages needs to point to another HTML file. Of course, if this page was not exported, the link is
unreachable.
Maybe you could attach a full example (raw text, HTML export and expected HTML export).

#2 - 2009-05-12 05:15 - Mihail Manuylov
- File 1_raw_wiki.txt added

- File 2_export.html added

- File 3_expected_export.html added

My problem is converting local links which points to local anchors in the same HTML file.

#3 - 2011-10-02 16:24 - Etienne Massip

- Target version set to Candidate for next minor release

#4 - 2011-10-02 16:53 - Etienne Massip
- Status changed from New to Resolved
- Target version changed from Candidate for next minor release to 1.2.2

- Resolution set to Fixed

Should be fixed in trunk with r7558.

#5 - 2011-11-11 12:27 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

1_raw_wiki.txt 7.34 KB 2009-05-12 Mihail Manuylov
2_export.html 8.24 KB 2009-05-12 Mihail Manuylov
3_expected_export.html 8.25 KB 2009-05-12 Mihail Manuylov
https://www.redmine.org/projects/redmine/repository/svn/revisions/7558
